MODBUS_RECEIVE_FROM(3)

NAME
modbus_receive_from - receive a indication request from a socket

SYNOPSIS

int modbus_receive_from(modbus_t *ctx, int sockfd, uint8_t *req);

DESCRIPTION

The modbus_receive_from() function shall receive an indication request from the socket/file descriptor given in argument 'sockfd. This function is used by Modbus slave/server to receive and analyze indication request sent by the masters/clients.

RETURN VALUE

The modbus_receive_from() function shall store the indication request in req and return the request length if sucessful. Otherwise it shall return -1 and set errno.

SEE ALSO

modbus_receive(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com